Bug 135389 - while installing the Nvidia drivers from the Nvidia website "NVIDIA-Linux-x86_64-1.0-6111-pkg2.run" (Nvidia suggests "conflicting module rivafb must be uninstalled"). Serious problems then arise if the recommended changes are made, eg 'vesa' is change...
while installing the Nvidia drivers from the Nvidia website "NVIDIA-Linux-x86...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 09:36 EDT by Richard Baxter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 12:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Baxter 2004-10-12 09:36:05 EDT
Description of problem:

THIS MAY NOT APPEAR TO BE A FEDORA PROBLEM BUT IT IS. NVIDIA IS A
REASONABLY IMPORTANT COMPANY AND SO ARE THEIR DRIVERS (especially
considering Fedora Core 3 does not provide Geforce 6800 drivers)

while installing the Nvidia drivers from the Nvidia website
"NVIDIA-Linux-x86_64-1.0-6111-pkg2.run" (Nvidia suggests "conflicting
module rivafb must be uninstalled").  Serious problems then arise if
the recommended changes are made, eg 'vesa' is changed to 'nvidia' in
/etc/X11/xorg.conf. Fedora gets as far as "... kernel paramaters"
 (the line after "... sound/audio...") upon its next restart after
these changes to the xorg.conf.

Version-Release number of selected component (if applicable):

Core 3. Test 3. 2.92

How reproducible:

at least once

Steps to Reproduce:
1. install Nvidia drivers (Nvidia suggests "conflicting module rivafb
must be uninstalled"). 
2. Serious problems then after if 'vesa' is changed to 'nvidia' in
/etc/X11/xorg.conf.  (Fedora gets as far as "... kernel paramaters"
 [the line after "... sound/audio..."] upon its next restart)
  
Actual results:

Fedora can no longer start

Expected results:

Fedora starts with loaded 'nvidia' display drivers

Additional info:
Comment 1 Mike A. Harris 2004-10-12 12:07:18 EDT
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may find the various X.Org,
XFree86, and Red Hat mailing lists helpful in finding
assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo


Setting status to "NOTABUG" (unsupported).
Comment 2 Richard Baxter 2008-08-02 16:16:37 EDT
The original summary for this bug was longer than 255 characters, and so it was truncated when Bugzilla was upgraded. The original summary was:

while installing the Nvidia drivers from the Nvidia website "NVIDIA-Linux-x86_64-1.0-6111-pkg2.run" (Nvidia suggests "conflicting module rivafb must be uninstalled").  Serious problems then arise if the recommended changes are made, eg 'vesa' is changed to 'nvidia' in /etc/X11/xorg.conf

Note You need to log in before you can comment on or make changes to this bug.